Index: issm/trunk-jpl/m4/issm_options.m4
===================================================================
--- issm/trunk-jpl/m4/issm_options.m4	(revision 13709)
+++ issm/trunk-jpl/m4/issm_options.m4	(revision 13737)
@@ -111,73 +111,7 @@
 	AM_CONDITIONAL([MATLAB], [test x$HAVE_MATLAB = xyes])
 
-	dnl 2. if matlab is provided, get version number
+	dnl 2. Get Matlab libraries
 	if test x$HAVE_MATLAB = xyes; then
-		AC_MSG_CHECKING([for matlab version])
-		MATLAB_VERSION=""
-
-		dnl For Matlab R2008a and more, the version number is stored in .VERSION
-		if test -f "$MATLAB_ROOT/.VERSION" ; then
-			MATLAB_VERSION=$(cat $MATLAB_ROOT/.VERSION)
-		fi
-		dnl Otherwise find version in file stored in bin/util/mex/version.txt
-		if test -f "$MATLAB_ROOT/bin/util/mex/version.txt" ; then
-			MATLAB_VERSION=$(cat $MATLAB_ROOT/bin/util/mex/version.txt)
-		fi
-
-		dnl check that we found the version
-		if test -z "$MATLAB_VERSION" ; then
-			AC_MSG_ERROR([Matlab version not found])
-		fi
-
-		case $MATLAB_VERSION in
-			@<:@1-9@:>@.@<:@0-9@:>@ | @<:@1-9@:>@@<:@0-9@:>@.@<:@0-9@:>@ | @<:@1-9@:>@.@<:@1-9@:>@@<:@0-9@:>@)
-				MATLAB_MAJOR=$(echo $MATLAB_VERSION | sed -e "s/^\(@<:@0-9@:>@*\)\.@<:@0-9@:>@*.*/\1/")
-				MATLAB_MINOR=$(echo $MATLAB_VERSION | sed -e "s/^@<:@0-9@:>@*\.\(@<:@0-9@:>@*\).*/\1/")
-				;;
-			R2007a)
-			  MATLAB_MAJOR=7
-			  MATLAB_MINOR=4
-			  ;;
-			R2008a)
-			  MATLAB_MAJOR=7
-			  MATLAB_MINOR=6
-			  ;;
-			R2009a)
-			  MATLAB_MAJOR=7
-			  MATLAB_MINOR=8
-			  ;;
-			R2010a)
-			  MATLAB_MAJOR=7
-			  MATLAB_MINOR=10
-			  ;;
-			R2010b)
-			  MATLAB_MAJOR=7
-			  MATLAB_MINOR=11
-			  ;;
-			R2011a)
-			  MATLAB_MAJOR=7
-			  MATLAB_MINOR=12
-			  ;;
-			R2011b)
-			  MATLAB_MAJOR=7
-			  MATLAB_MINOR=13
-			  ;;
-			R2012a)
-			  MATLAB_MAJOR=7
-			  MATLAB_MINOR=14
-			  ;;
-			R2012b)
-			  MATLAB_MAJOR=7
-			  MATLAB_MINOR=15
-			  ;;
-			*)
-			  AC_MSG_ERROR([can not determine Matlab version number])
-			esac
-		AC_SUBST([MATLAB_VERSION])
-		AC_SUBST([MATLAB_MAJOR])
-		AC_SUBST([MATLAB_MINOR])
-		AC_MSG_RESULT($MATLAB_VERSION ($MATLAB_MAJOR.$MATLAB_MINOR))
-
-		dnl 3. Get Matlab libraries
+
 		AC_MSG_CHECKING(for matlab headers and libraries in $MATLAB_ROOT)
 		MATLABINCL=-I"$MATLAB_ROOT/extern/include";
@@ -187,42 +121,4 @@
 		MEXLIB=$( mex -v 2>&1 < /dev/null | grep CXXLIBS     | sed -e "s/         CXXLIBS            = //g")
 		MEXEXT=$( mex -v 2>&1 < /dev/null | grep LDEXTENSION | sed -e "s/         LDEXTENSION        = //g")
-		dnl dnl OS-dependent variables and checks (old stuff)
-		dnl case "${host_os}" in
-		dnl 	*linux*)
-		dnl 		if test "${host_cpu}" = "x86_64";
-		dnl 		then
-		dnl 			MEXLIB="-Wl,-rpath-link,$MATLAB_ROOT/bin/glnxa64 -L$MATLAB_ROOT/bin/glnxa64/ -lmx -lmex -lmat -lm"
-		dnl 			MEXLINK="-pthread -shared -W2,--version-script,${MATLAB_ROOT}/extern/lib/glnxa64/mexFunction.map";
-		dnl 		else
-		dnl 			MEXLIB=-L"$MATLAB_ROOT/bin/glnx86/ -lmex"
-		dnl 			MEXLINK="-pthread -shared -W2,--version-script,${MATLAB_ROOT}/extern/lib/glnx86/mexFunction.map";
-		dnl 		fi
-		dnl 		MEXEXT=`$MATLAB_ROOT/bin/mexext`
-		dnl 		MEXEXT=".$MEXEXT"
-		dnl 	;;
-		dnl 	*darwin*)
-		dnl 		dnl mex -v gives all the flags for compilation of mex files
-		dnl 		dnl if matlab version is 7.9 or more, we must use mexmaci64 (64 bits)
-		dnl 		MEXLINK="-O -Wl,-flat_namespace -undefined suppress -arch i386 -bundle -Wl,-exported_symbols_list,$MATLAB_ROOT/extern/lib/maci/mexFunction.map"
-		dnl 		MEXLIB=" -L$MATLAB_ROOT/bin/maci/ -lmx -lmex -lmat -lstdc++ -largeArrayDims"
-		dnl 		if test $MATLAB_MAJOR -ge 7; then 
-		dnl 			 if test $MATLAB_MINOR -ge 9; then 
-		dnl 				  MEXLINK="-O -Wl,-flat_namespace -undefined suppress -bundle -Wl,-exported_symbols_list,$MATLAB_ROOT/extern/lib/maci64/mexFunction.map"
-		dnl 					 MEXLIB=" -L$MATLAB_ROOT/bin/maci64/ -lmx -lmex -lmat -lstdc++"
-		dnl 			 fi
-		dnl 		fi
-		dnl 		MEXEXT=`$MATLAB_ROOT/bin/mexext`
-		dnl 		MEXEXT=".$MEXEXT"
-		dnl 	;;
-		dnl 	*cygwin*) 
-		dnl 		if  test $VENDOR = intel-win7-32; then
-		dnl 			MEXLIB="-dll -export:mexFunction -LIBPATH:\"$MATLAB_ROOT\extern\lib\win32\microsoft\" libmx.lib libmex.lib libmat.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  -NOLOGO -INCREMENTAL:NO -manifest" 
-		dnl 		elif  test $VENDOR = intel-win7-64; then
-		dnl 			MEXLIB="-dll -export:mexFunction -LIBPATH:\"$MATLAB_ROOT\extern\lib\win64\microsoft\" libmx.lib libmex.lib libmat.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib  -NOLOGO -INCREMENTAL:NO -manifest" 
-		dnl 		fi
-		dnl 		MEXEXT=`$MATLAB_ROOT/bin/mexext.bat`
-		dnl 		MEXEXT=".$MEXEXT"
-		dnl 	;;
-		dnl esac
 	   AC_MSG_RESULT(done)
 