Index: issm/trunk-jpl/test/Par/RoundSheetShelf.par
===================================================================
--- issm/trunk-jpl/test/Par/RoundSheetShelf.par	(revision 13137)
+++ issm/trunk-jpl/test/Par/RoundSheetShelf.par	(revision 13809)
@@ -2,9 +2,9 @@
 
 di=md.materials.rho_ice/md.materials.rho_water;
-rad=1e6;
-shelfextent=2e5;
+rad=1.e6;
+shelfextent=2.e5;
 %Geometry
-hmin=300;
-hmax=1000;
+hmin=300.;
+hmax=1000.;
 radius=sqrt((md.mesh.x).*md.mesh.x+(md.mesh.y).*md.mesh.y);
 ymin=min(radius);
@@ -14,21 +14,20 @@
 
 pos=find(md.mask.vertexongroundedice);
-md.geometry.bed(pos)=md.geometry.bed(pos)-300*(radius(pos)-(rad-shelfextent))/(rad-shelfextent);
+md.geometry.bed(pos)=md.geometry.bed(pos)-300.*(radius(pos)-(rad-shelfextent))/(rad-shelfextent);
 md.geometry.surface=md.geometry.bed+md.geometry.thickness;
 
 pos=find(radius<200000);
-md.geometry.thickness(pos)=100;
-md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20;
+md.geometry.thickness(pos)=100.;
+md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20.;
 md.geometry.surface(pos)=md.geometry.bed(pos)+md.geometry.thickness(pos);
 
-
-pos=find(md.mesh.x<.2*1e6 & md.mesh.x>-.2*1e6 & md.mesh.y>0);
-md.geometry.thickness(pos)=100;
-md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20;
+pos=find(md.mesh.x<0.2*1.e6 & md.mesh.x>-0.2*1.e6 & md.mesh.y>0.);
+md.geometry.thickness(pos)=100.;
+md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20.;
 md.geometry.surface(pos)=md.geometry.bed(pos)+md.geometry.thickness(pos);
 
-pos=find(md.mesh.x<.1*1e6 & md.mesh.x>-.1*1e6 & md.mesh.y<-.5*1e6 & md.mesh.y>-.6*1e6);
-md.geometry.thickness(pos)=100;
-md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20;
+pos=find(md.mesh.x<0.1*1.e6 & md.mesh.x>-0.1*1.e6 & md.mesh.y<-0.5*1.e6 & md.mesh.y>-0.6*1.e6);
+md.geometry.thickness(pos)=100.;
+md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20.;
 md.geometry.surface(pos)=md.geometry.bed(pos)+md.geometry.thickness(pos);
 
@@ -36,18 +35,19 @@
 di=md.materials.rho_ice/md.materials.rho_water;
 rad=sqrt(md.mesh.x.^2+md.mesh.y.^2);
-pos=find(rad<200000);
-md.geometry.thickness(pos)=100;
-md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20;
+pos=find(rad<200000.);
+md.geometry.thickness(pos)=100.;
+md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20.;
 md.geometry.surface(pos)=md.geometry.bed(pos)+md.geometry.thickness(pos);
 
-pos=find(md.mesh.x<.2*1e6 & md.mesh.x>-.2*1e6 & md.mesh.y>0);
-md.geometry.thickness(pos)=100;
-md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20;
+pos=find(md.mesh.x<0.2*1.e6 & md.mesh.x>-0.2*1.e6 & md.mesh.y>0.);
+md.geometry.thickness(pos)=100.;
+md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20.;
 md.geometry.surface(pos)=md.geometry.bed(pos)+md.geometry.thickness(pos);
 
-pos=find(md.mesh.x<.1*1e6 & md.mesh.x>-.1*1e6 & md.mesh.y<-.5*1e6 & md.mesh.y>-.6*1e6);
-md.geometry.thickness(pos)=100;
-md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20;
+pos=find(md.mesh.x<0.1*1.e6 & md.mesh.x>-0.1*1.e6 & md.mesh.y<-0.5*1.e6 & md.mesh.y>-0.6*1.e6);
+md.geometry.thickness(pos)=100.;
+md.geometry.bed(pos)=-di*md.geometry.thickness(pos)-20.;
 md.geometry.surface(pos)=md.geometry.bed(pos)+md.geometry.thickness(pos);
+
 %Initial velocity 
 md.initialization.vx=zeros(md.mesh.numberofvertices,1);
@@ -57,17 +57,17 @@
 
 %Materials
-md.initialization.temperature=(273-20)*ones(md.mesh.numberofvertices,1);
+md.initialization.temperature=(273.-20.)*ones(md.mesh.numberofvertices,1);
 md.materials.rheology_B=paterson(md.initialization.temperature);
-md.materials.rheology_n=3*ones(md.mesh.numberofelements,1);
+md.materials.rheology_n=3.*ones(md.mesh.numberofelements,1);
 
 %Surface mass balance and basal melting
-md.surfaceforcings.mass_balance=-10*ones(md.mesh.numberofvertices,1);
+md.surfaceforcings.mass_balance=-10.*ones(md.mesh.numberofvertices,1);
 md.basalforcings.melting_rate=zeros(md.mesh.numberofvertices,1);
-pos=find(md.mask.vertexonfloatingice);md.basalforcings.melting_rate(pos)=10;
+pos=find(md.mask.vertexonfloatingice);md.basalforcings.melting_rate(pos)=10.;
 md.basalforcings.geothermalflux=ones(md.mesh.numberofvertices,1);
 
 %Friction
 pos=find(md.mask.elementonfloatingice);
-md.friction.coefficient=20*ones(md.mesh.numberofvertices,1);
+md.friction.coefficient=20.*ones(md.mesh.numberofvertices,1);
 md.friction.coefficient(md.mesh.elements(pos,:))=0;
 md.friction.p=ones(md.mesh.numberofelements,1);
@@ -84,11 +84,11 @@
 md.steadystate.reltol=0.05;
 md.diagnostic.abstol=NaN;
-md.timestepping.time_step=5;
-md.timestepping.final_time=5;
+md.timestepping.time_step=5.;
+md.timestepping.final_time=5.;
 
 %bathymetry and grounding line migration:
 md.groundingline.migration='AgressiveMigration';
 md.geometry.bathymetry=md.geometry.bed;
-pos=find(md.mask.vertexonfloatingice); md.geometry.bathymetry(pos)=md.geometry.bed(pos)-900;
+pos=find(md.mask.vertexonfloatingice); md.geometry.bathymetry(pos)=md.geometry.bed(pos)-900.;
 
 %Deal with boundary conditions:
@@ -107,5 +107,5 @@
 md.prognostic.spcthickness=NaN*ones(md.mesh.numberofvertices,1);
 md.diagnostic.referential=NaN*ones(md.mesh.numberofvertices,6);
-md.thermal.spctemperature=737*ones(md.mesh.numberofvertices,1);
+md.thermal.spctemperature=737.*ones(md.mesh.numberofvertices,1);
 
 %Change name so that no test have the same name