Index: issm/trunk-jpl/externalpackages/gdal/GDALmake.opt.patch
===================================================================
--- issm/trunk-jpl/externalpackages/gdal/GDALmake.opt.patch	(revision 14196)
+++ 	(revision )
@@ -1,8 +1,0 @@
-31c31
-< LIBS	=	$(SDE_LIB) -I/usr/include -lsqlite3 -L/usr/lib -lexpat -ljpeg -lpng -lz  -lm -lrt -ldl  $(KAK_LIBS) $(DWG_LIBS) $(CURL_LIB) \
----
-> LIBS	=	$(SDE_LIB) -I/usr/include -lsqlite3 -L/usr/lib64 -lexpat -ljpeg -lpng -lz  -lm -lrt -ldl  $(KAK_LIBS) $(DWG_LIBS) $(CURL_LIB) \
-225c225
-< CURL_LIB	=	-L/usr/kerberos/lib64 -lcurl -ldl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lidn -lssl -lcrypto -lz  
----
-> CURL_LIB	=	-L/usr/lib64 -lcurl -ldl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lidn -lssl -lcrypto -lz  
Index: issm/trunk-jpl/externalpackages/gdal/GDALmake.opt.patch.astrid
===================================================================
--- issm/trunk-jpl/externalpackages/gdal/GDALmake.opt.patch.astrid	(revision 14196)
+++ 	(revision )
@@ -1,8 +1,0 @@
-31c31
-< LIBS	=	$(SDE_LIB) -I/usr/include -lsqlite3 -L/usr/lib -lexpat -ljpeg -lz  -lm -lrt -ldl  $(KAK_LIBS) $(DWG_LIBS) $(CURL_LIB) \
----
-> LIBS	=	$(SDE_LIB) -I/usr/include -lsqlite3 -L/usr/lib64 -lexpat -ljpeg -lz  -lm -lrt -ldl  $(KAK_LIBS) $(DWG_LIBS) $(CURL_LIB) \
-225c225
-< CURL_LIB	=	-L/usr/kerberos/lib64 -lcurl -ldl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lidn -lssl -lcrypto -lz  
----
-> CURL_LIB	=	-L/usr/lib64 -lcurl -ldl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lidn -lssl -lcrypto -lz  
Index: issm/trunk-jpl/externalpackages/gdal/configs/GDALmake.opt.patch.astrid
===================================================================
--- issm/trunk-jpl/externalpackages/gdal/configs/GDALmake.opt.patch.astrid	(revision 14197)
+++ issm/trunk-jpl/externalpackages/gdal/configs/GDALmake.opt.patch.astrid	(revision 14197)
@@ -0,0 +1,8 @@
+31c31
+< LIBS	=	$(SDE_LIB) -I/usr/include -lsqlite3 -L/usr/lib -lexpat -ljpeg -lz  -lm -lrt -ldl  $(KAK_LIBS) $(DWG_LIBS) $(CURL_LIB) \
+---
+> LIBS	=	$(SDE_LIB) -I/usr/include -lsqlite3 -L/usr/lib64 -lexpat -ljpeg -lz  -lm -lrt -ldl  $(KAK_LIBS) $(DWG_LIBS) $(CURL_LIB) \
+225c225
+< CURL_LIB	=	-L/usr/kerberos/lib64 -lcurl -ldl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lidn -lssl -lcrypto -lz  
+---
+> CURL_LIB	=	-L/usr/lib64 -lcurl -ldl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lidn -lssl -lcrypto -lz  
Index: issm/trunk-jpl/externalpackages/gdal/configs/GDALmake.opt.patch.murdo
===================================================================
--- issm/trunk-jpl/externalpackages/gdal/configs/GDALmake.opt.patch.murdo	(revision 14197)
+++ issm/trunk-jpl/externalpackages/gdal/configs/GDALmake.opt.patch.murdo	(revision 14197)
@@ -0,0 +1,8 @@
+31c31
+< LIBS	=	$(SDE_LIB) -I/usr/include -lsqlite3 -L/usr/lib -lexpat -ljpeg -lpng -lz  -lm -lrt -ldl  $(KAK_LIBS) $(DWG_LIBS) $(CURL_LIB) \
+---
+> LIBS	=	$(SDE_LIB) -I/usr/include -lsqlite3 -L/usr/lib64 -lexpat -ljpeg -lpng -lz  -lm -lrt -ldl  $(KAK_LIBS) $(DWG_LIBS) $(CURL_LIB) \
+225c225
+< CURL_LIB	=	-L/usr/kerberos/lib64 -lcurl -ldl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lidn -lssl -lcrypto -lz  
+---
+> CURL_LIB	=	-L/usr/lib64 -lcurl -ldl -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lidn -lssl -lcrypto -lz  
Index: issm/trunk-jpl/externalpackages/gdal/install-linux64-astrid.sh
===================================================================
--- issm/trunk-jpl/externalpackages/gdal/install-linux64-astrid.sh	(revision 14196)
+++ issm/trunk-jpl/externalpackages/gdal/install-linux64-astrid.sh	(revision 14197)
@@ -31,5 +31,5 @@
 
 #Patch GDALmake.opt
-patch GDALmake.opt ../GDALmake.opt.patch.astrid
+patch GDALmake.opt ../configs/GDALmake.opt.patch.astrid
 
 #Compile and install gdal
Index: issm/trunk-jpl/externalpackages/gdal/install-linux64-murdo.sh
===================================================================
--- issm/trunk-jpl/externalpackages/gdal/install-linux64-murdo.sh	(revision 14196)
+++ issm/trunk-jpl/externalpackages/gdal/install-linux64-murdo.sh	(revision 14197)
@@ -29,5 +29,5 @@
 
 #Patch GDALmake.opt
-patch GDALmake.opt ../GDALmake.opt.patch
+patch GDALmake.opt ../configs/GDALmake.opt.patch
 
 #Compile and install gdal