Index: issm/trunk-jpl/src/c/modules/Exp2Kmlx/Exp2Kmlx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/Exp2Kmlx/Exp2Kmlx.cpp	(revision 14373)
+++ issm/trunk-jpl/src/c/modules/Exp2Kmlx/Exp2Kmlx.cpp	(revision 14377)
@@ -54,5 +54,5 @@
 	/*read exp file  */
 
-	if (!DomainOutlineRead(&nprof,&pnvert,&pprofx,&pprofy,&closed,filexp))
+	if (!ExpRead(&nprof,&pnvert,&pprofx,&pprofy,&closed,filexp))
 		_error_("Error reading exp file.");
 	_pprintLine_("Exp2Kmlx -- Reading " << nprof << " exp profiles from file \"" << filexp << "\".");
Index: issm/trunk-jpl/src/c/modules/Krigingx/pKrigingx.cpp
===================================================================
--- issm/trunk-jpl/src/c/modules/Krigingx/pKrigingx.cpp	(revision 14373)
+++ issm/trunk-jpl/src/c/modules/Krigingx/pKrigingx.cpp	(revision 14377)
@@ -69,8 +69,8 @@
 		/*partition loop across threads: */
 		for(int idx=my_rank;idx<n_interp;idx+=num_procs){
-			_pprintLine_("      interpolation progress: "<<setw(6)<<setprecision(2)<<double(idx)/double(n_interp)*100.<<"%");
+			_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(4)<<double(idx)/double(n_interp)*100.<<"%");
 			observations->InterpolationKriging(&predictions[idx],&error[idx],x_interp[idx],y_interp[idx],radius,mindata,maxdata,variogram);
 		}
-		_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(2)<<100.<<"%");
+		_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(4)<<100.<<"%");
 
 #ifdef _HAVE_MPI_
@@ -87,8 +87,8 @@
 		/*partition loop across threads: */
 		for(int idx=my_rank;idx<n_interp;idx+=num_procs){
-			_pprintLine_("      interpolation progress: "<<setw(6)<<setprecision(2)<<double(idx)/double(n_interp)*100.<<"%");
+			_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(4)<<double(idx)/double(n_interp)*100.<<"%");
 			observations->InterpolationV4(&predictions[idx],x_interp[idx],y_interp[idx],radius,mindata,maxdata);
 		}
-		_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(2)<<100.<<"%");
+		_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(4)<<100.<<"%");
 
 #ifdef _HAVE_MPI_
@@ -102,8 +102,8 @@
 		/*partition loop across threads: */
 		for(int idx=my_rank;idx<n_interp;idx+=num_procs){
-			_pprintLine_("      interpolation progress: "<<setw(6)<<setprecision(2)<<double(idx)/double(n_interp)*100.<<"%");
+			_pprintLine_("      interpolation progress: "<<setw(6)<<setprecision(4)<<double(idx)/double(n_interp)*100.<<"%");
 			observations->InterpolationNearestNeighbor(&predictions[idx],x_interp[idx],y_interp[idx],radius);
 		}
-		_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(2)<<100.<<"%");
+		_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(4)<<100.<<"%");
 
 #ifdef _HAVE_MPI_
@@ -119,8 +119,8 @@
 		/*partition loop across threads: */
 		for(int idx=my_rank;idx<n_interp;idx+=num_procs){
-			_pprintLine_("      interpolation progress: "<<setw(6)<<setprecision(2)<<double(idx)/double(n_interp)*100.<<"%");
+			_pprintLine_("      interpolation progress: "<<setw(6)<<setprecision(4)<<double(idx)/double(n_interp)*100.<<"%");
 			observations->InterpolationIDW(&predictions[idx],x_interp[idx],y_interp[idx],radius,mindata,maxdata,power);
 		}
-		_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(2)<<100.<<"%");
+		_pprintLine_("      interpolation progress: "<<fixed<<setw(6)<<setprecision(4)<<100.<<"%");
 
 #ifdef _HAVE_MPI_
Index: issm/trunk-jpl/src/c/shared/Exp/exp.h
===================================================================
--- issm/trunk-jpl/src/c/shared/Exp/exp.h	(revision 14373)
+++ issm/trunk-jpl/src/c/shared/Exp/exp.h	(revision 14377)
@@ -58,7 +58,7 @@
 	 return 1;
 }/*}}}*/
-/*DomainOutlineRead{{{*/
+/*int      ExpRead(int* pnprof,int** pprofnvertices,doubletype*** ppprofx,doubletype*** ppprofy,bool** pclosed,char* domainname){{{*/
 template <class doubletype>
-int DomainOutlineRead(int* pnprof,int** pprofnvertices,doubletype*** ppprofx,doubletype*** ppprofy,bool** pclosed,char* domainname){
+int ExpRead(int* pnprof,int** pprofnvertices,doubletype*** ppprofx,doubletype*** ppprofy,bool** pclosed,char* domainname){
 
 	/*indexing: */
@@ -162,7 +162,7 @@
 	else         xDelete<bool>(closed);
 } /*}}}*/
-/*DataSet* DomainOutlineRead(char* domainname){{{*/
+/*DataSet* ExpRead(char* domainname){{{*/
 template <class doubletype>
-DataSet* DomainOutlineRead(char* domainname){
+DataSet* ExpRead(char* domainname){
 
 	/*intermediary: */
@@ -180,5 +180,5 @@
 	}
 	else{
-		DomainOutlineRead(&nprof,&profnvertices,&pprofx, &pprofy, NULL,domainname);
+		ExpRead(&nprof,&profnvertices,&pprofx, &pprofy, NULL,domainname);
 	}
 
Index: issm/trunk-jpl/src/wrappers/ExpSimplify/ExpSimplify.cpp
===================================================================
--- issm/trunk-jpl/src/wrappers/ExpSimplify/ExpSimplify.cpp	(revision 14373)
+++ issm/trunk-jpl/src/wrappers/ExpSimplify/ExpSimplify.cpp	(revision 14377)
@@ -134,5 +134,5 @@
 
 	/*Read old contours and allocate new contours*/
-	oldcontours=DomainOutlineRead<double>(expfile);
+	oldcontours=ExpRead<double>(expfile);
 	newcontours=new DataSet(0);
 	for(int counter=0;counter<oldcontours->Size();counter++){
Index: issm/trunk-jpl/src/wrappers/matlab/io/FetchMatlabData.cpp
===================================================================
--- issm/trunk-jpl/src/wrappers/matlab/io/FetchMatlabData.cpp	(revision 14373)
+++ issm/trunk-jpl/src/wrappers/matlab/io/FetchMatlabData.cpp	(revision 14377)
@@ -645,5 +645,5 @@
 	if (mxIsClass(dataref,"char")){
 		FetchData(&contourname,dataref);
-		contours=DomainOutlineRead<double>(contourname);
+		contours=ExpRead<double>(contourname);
 	}
 	else if(mxIsClass(dataref,"struct")){
Index: issm/trunk-jpl/src/wrappers/python/io/FetchPythonData.cpp
===================================================================
--- issm/trunk-jpl/src/wrappers/python/io/FetchPythonData.cpp	(revision 14373)
+++ issm/trunk-jpl/src/wrappers/python/io/FetchPythonData.cpp	(revision 14377)
@@ -752,5 +752,5 @@
 	if (PyString_Check(py_list)){
 		FetchData(&contourname,py_list);
-		contours=DomainOutlineRead<double>(contourname);
+		contours=ExpRead<double>(contourname);
 	}
 	else if(PyList_Check(py_list)){