Index: issm/trunk-jpl/src/mobile/android/ISSM/AndroidManifest.xml
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/AndroidManifest.xml	(revision 14441)
+++ issm/trunk-jpl/src/mobile/android/ISSM/AndroidManifest.xml	(revision 14443)
@@ -12,5 +12,5 @@
         android:label="@string/app_name"
         android:theme="@style/AppTheme" >
-        <activity android:name="gov.nasa.jpl.issm.SplashScreen"
+        <activity android:name="gov.nasa.jpl.issm.ISSMAPP"
             	  android:label="@string/title_activity_issm" >
             <intent-filter>
Index: issm/trunk-jpl/src/mobile/android/ISSM/bin/AndroidManifest.xml
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/bin/AndroidManifest.xml	(revision 14441)
+++ issm/trunk-jpl/src/mobile/android/ISSM/bin/AndroidManifest.xml	(revision 14443)
@@ -12,5 +12,5 @@
         android:label="@string/app_name"
         android:theme="@style/AppTheme" >
-        <activity android:name="gov.nasa.jpl.issm.SplashScreen"
+        <activity android:name="gov.nasa.jpl.issm.ISSMAPP"
             	  android:label="@string/title_activity_issm" >
             <intent-filter>
Index: issm/trunk-jpl/src/mobile/android/ISSM/res/layout/issmcore.xml
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/res/layout/issmcore.xml	(revision 14441)
+++ issm/trunk-jpl/src/mobile/android/ISSM/res/layout/issmcore.xml	(revision 14443)
@@ -7,35 +7,5 @@
     android:orientation="horizontal"
     android:background="@drawable/background" >
-      <TextView
-        android:id="@+id/friction"
-        android:layout_width="wrap_content"
-        android:layout_height="wrap_content"
-        android:layout_alignParentLeft="true"
-        android:layout_alignParentTop="true"
-        android:textSize="15sp"
-        android:typeface="serif"
-        android:textColor="#f49956"
-        android:text="Friction" />
       
-      <TextView
-        android:id="@+id/value"
-        android:layout_width="wrap_content"
-        android:layout_height="wrap_content"
-        android:layout_alignParentLeft="true"
-        android:layout_below="@+id/friction"
-        android:typeface="serif"
-        android:textColor="#FF0000"
-        android:text="100%" />
-
-    <gov.nasa.jpl.issm.VerticalSeekBar
-        android:id="@+id/seekbar"
-        android:layout_width="wrap_content"
-        android:layout_height="300dp"
-        android:layout_above="@+id/back"
-        android:layout_marginBottom="50dp"
-        android:max="490"
-        android:progress="100"
-        android:progressDrawable="@layout/seekbar_progress"
-        android:thumb="@drawable/thumb" />
       
     <FrameLayout
@@ -44,9 +14,28 @@
         android:layout_height="wrap_content"
         android:layout_above="@+id/solve"
-        android:layout_below="@+id/value"
-        android:layout_marginLeft="30dp"
+        android:layout_below="@+id/back"
         android:layout_marginBottom="12dp" >
     </FrameLayout>
-    
+
+    <Button
+        android:id="@+id/solve"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content"
+        android:layout_alignParentBottom="true"
+        android:layout_alignParentLeft="true"
+        android:layout_marginLeft="20dp"
+        android:layout_marginBottom="18dp"
+        android:background="@drawable/btn_lightblue_glossy"
+        android:text="Solve" />
+
+    <Button
+        android:id="@+id/setting"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content"
+        android:layout_alignParentRight="true"
+        android:layout_below="@+id/frame"
+        android:layout_marginRight="20dp"
+        android:background="@drawable/btn_lightblue_glossy"
+        android:text="Settings" />
 
     <Button
@@ -54,20 +43,7 @@
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"
-        android:layout_alignParentBottom="true"
         android:layout_alignParentLeft="true"
-        android:layout_marginBottom="17dp"
-        android:background="@drawable/btn_lightblue_glossy"
-        android:text="Back"/>
-
-    <Button
-        android:id="@+id/solve"
-        android:layout_width="wrap_content"
-        android:layout_height="wrap_content"
-        android:layout_alignBaseline="@+id/back"
-        android:layout_alignBottom="@+id/back"
-        android:layout_marginLeft="14dp"
-        android:layout_toRightOf="@+id/back"
-        android:background="@drawable/btn_lightblue_glossy"
-        android:text="Solve"/>
+        android:layout_alignParentTop="true"
+        android:background="@drawable/back_button"/>
 
 </RelativeLayout>
Index: issm/trunk-jpl/src/mobile/android/ISSM/res/layout/roundcorner.xml
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/res/layout/roundcorner.xml	(revision 14443)
+++ issm/trunk-jpl/src/mobile/android/ISSM/res/layout/roundcorner.xml	(revision 14443)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="utf-8"?>
+<shape xmlns:android="http://schemas.android.com/apk/res/android"
+    android:shape="rectangle">
+    <gradient
+        android:startColor="#80000000"
+        android:endColor="#80FFFFFF"
+        android:angle="45"/>
+    <padding android:left="7dp"
+        android:top="7dp"
+        android:right="7dp"
+        android:bottom="7dp" />
+    <corners android:radius="8dp" />
+</shape>
Index: issm/trunk-jpl/src/mobile/android/ISSM/res/layout/settingsmenu.xml
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/res/layout/settingsmenu.xml	(revision 14443)
+++ issm/trunk-jpl/src/mobile/android/ISSM/res/layout/settingsmenu.xml	(revision 14443)
@@ -0,0 +1,70 @@
+    <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
+        android:layout_width="wrap_content"
+        android:layout_height="wrap_content"
+        android:background="@layout/roundcorner">
+        
+        <TextView
+            android:id="@+id/fric"
+            android:layout_width="wrap_content"
+            android:layout_height="wrap_content"
+            android:typeface="serif"
+        	android:textColor="#000000"
+            android:text="Friction" />
+        
+        <SeekBar
+            android:id="@+id/frictionBar"
+            android:layout_width="fill_parent"
+            android:layout_height="wrap_content"
+            android:layout_below="@+id/fric"
+            android:max="490"
+        	android:progress="100" 
+        	android:progressDrawable="@layout/seekbar_progress"
+        	android:thumb="@drawable/thumb"/>
+        
+       <TextView
+            android:id="@+id/temp"
+            android:layout_width="wrap_content"
+            android:layout_height="wrap_content"
+            android:layout_below="@+id/frictionBar"
+            android:typeface="serif"
+        	android:textColor="#000000"
+            android:text="Temperature" />
+        
+        <SeekBar
+            android:id="@+id/tempBar"
+            android:layout_width="match_parent"
+            android:layout_height="wrap_content"
+            android:layout_below="@+id/temp" 
+            android:max="490"
+        	android:progress="100"
+        	android:progressDrawable="@layout/seekbar_progress"
+        	android:thumb="@drawable/thumb"/>
+        
+        <TextView
+            android:id="@+id/sealvl"
+            android:layout_width="wrap_content"
+            android:layout_height="wrap_content"
+            android:layout_below="@+id/tempBar" 
+            android:typeface="serif"
+        	android:textColor="#000000"
+            android:text="Sea Level"/>
+        
+         <SeekBar
+            android:id="@+id/sealvlBar"
+            android:layout_width="match_parent"
+            android:layout_height="wrap_content"
+            android:layout_below="@+id/sealvl"
+            android:max="490"
+        	android:progress="100" 
+        	android:progressDrawable="@layout/seekbar_progress"
+        	android:thumb="@drawable/thumb"/>
+
+         <Button
+             android:background="@drawable/btn_lightblue_glossy"
+             android:id="@+id/exitSetting"
+             android:layout_width="wrap_content"
+             android:layout_centerHorizontal="true"
+             android:layout_height="wrap_content"
+             android:layout_below="@+id/sealvlBar"
+             android:text="Set" /> 
+    </RelativeLayout>
Index: issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/ISSM.java
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/ISSM.java	(revision 14441)
+++ issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/ISSM.java	(revision 14443)
@@ -9,4 +9,6 @@
 import android.app.Activity;
 import android.app.ProgressDialog;
+import android.view.Gravity;
+import android.view.LayoutInflater;
 import android.view.Menu;
 import android.view.MenuInflater;
@@ -20,4 +22,5 @@
 import android.widget.FrameLayout;
 import android.widget.ImageButton;
+import android.widget.PopupWindow;
 import android.widget.SeekBar;
 import android.widget.SeekBar.OnSeekBarChangeListener;
@@ -36,8 +39,6 @@
     private GLSurfaceView mGLView;
 	private FrameLayout frame;
-	private VerticalSeekBar bar;
-	private TextView value;
 	private ColorMap colorMap;
-	private int alpha;
+	private int friction,temperature,sealevel;
 	private final int MINIMUM = 90;
 	private final int OFFSET = 10;
@@ -63,32 +64,19 @@
         	}
         }
-    	alpha = MINIMUM + OFFSET;
+    	friction = MINIMUM + OFFSET;
+    	temperature = MINIMUM + OFFSET;
+    	sealevel = MINIMUM + OFFSET;
     	frame = (FrameLayout)findViewById(R.id.frame);
     	viewflipper = (ViewFlipper) findViewById(R.id.flipper);
-        this.bar  = (VerticalSeekBar) findViewById(R.id.seekbar);
-        this.value  = (TextView) super.findViewById(R.id.value);
         Button solve = (Button) super.findViewById(R.id.solve);
         solve.setOnClickListener(this);
         Button back = (Button) super.findViewById(R.id.back);
         back.setOnClickListener(this);
+        Button setting = (Button) super.findViewById(R.id.setting);
+        setting.setOnClickListener(this);
         ImageButton gl = (ImageButton) findViewById(R.id.greenland);		
 		gl.setOnClickListener(this);
 		ImageButton art = (ImageButton) findViewById(R.id.antarctica);
 		art.setOnClickListener(this);
-        bar.setOnSeekBarChangeListener(new OnSeekBarChangeListener()
-        {
-                public void onProgressChanged(SeekBar seekBar, int progress,boolean fromUser)
-                {
-	                	
-                        alpha = progress + OFFSET;
-                        value.setText("" + alpha + "%");
-                }
-
-	            @Override
-	            public void onStartTrackingTouch(SeekBar seekBar) {}
-	
-	            @Override
-	            public void onStopTrackingTouch(SeekBar seekBar) {}
-        });
 
         //load up the ISSM library and create double buffer in java
@@ -198,6 +186,4 @@
     	
     }
-//   
-   
 //---------------------------------------------------------------------------------   
     public void onClick(View view) 
@@ -241,6 +227,27 @@
     			dialog.setProgress(0);
     			dialog.setMax(100);
-    			new CalculationTask().execute(alpha);
+    			System.out.println(friction);
+    			new CalculationTask().execute(friction);
     			break;
+    		}
+    		case R.id.setting:
+    		{
+    			final SliderMenu sliders= new SliderMenu(this);
+    			final PopupWindow popupWindow = new PopupWindow( sliders, 400,300, true);
+    			popupWindow.showAtLocation(sliders, Gravity.CENTER, 0, 0);
+    			Button dismiss = (Button)sliders.findViewById(R.id.exitSetting);
+	            dismiss.setOnClickListener(new Button.OnClickListener()
+	            {
+	            	public void onClick(View v)
+	            	{
+	            		friction = sliders.getFric();
+	    	            temperature = sliders.getTemp();
+	    	            sealevel = sliders.getSea();
+	            		popupWindow.dismiss();
+	            		System.out.println("Friction = " + friction );
+	    	            System.out.println("Temp =" + temperature);
+	    	            System.out.println("SeaLevel" + sealevel);
+	            	}
+	            });
     		}
     	}
@@ -252,5 +259,4 @@
     	mGLView = new MyGLSurfaceView(this, buff, size, colorMap);
     	frame.addView(mGLView);
-    	//frame.addView(colorBar);
     }
 //------------------------------------------------------------------------------------
Index: issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/ISSMAPP.java
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/ISSMAPP.java	(revision 14443)
+++ issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/ISSMAPP.java	(revision 14443)
@@ -0,0 +1,156 @@
+package gov.nasa.jpl.issm;
+
+import java.io.File;
+import java.io.FileOutputStream;
+import java.io.IOException;
+import java.io.InputStream;
+import java.io.OutputStream;
+import android.app.Activity;
+import android.os.AsyncTask;
+import android.os.Bundle;
+import android.os.Environment;
+import android.util.Log;
+import android.view.animation.Animation;
+import android.view.animation.AnimationUtils;
+import android.widget.ImageView;
+import android.widget.LinearLayout;
+import android.widget.Toast;
+import android.content.Intent;
+import android.content.SharedPreferences;
+import android.content.res.AssetManager;
+/////////////////////////////////////////////////////////////////////////// 
+public class ISSMAPP extends Activity
+{
+	MenuPage mp = new MenuPage();
+	private static final String PREFERENCE_FIRST_RUN = null;
+	private String extStorageDirectory;
+	private String issmFolder; 
+	SharedPreferences settings;
+//------------------------------------------------------------------------	
+	public void onCreate(Bundle icicle)
+	{
+		super.onCreate(icicle);
+		setContentView(R.layout.splashscreen);		
+	    settings = this.getSharedPreferences("MenuPage", 0);
+	    boolean firstrun = settings.getBoolean(PREFERENCE_FIRST_RUN, true);
+	    extStorageDirectory = Environment.getExternalStorageDirectory().toString();
+	    issmFolder = extStorageDirectory + "/ISSM/input_files/";
+
+	    new CopyDataTask().execute(firstrun);    
+	}
+//-------------------------------------------------------------------------------------------
+	//Start the splashscreen at beginning while transferring 
+	//data file from Assets folder to SDcard
+	private class CopyDataTask extends AsyncTask<Boolean,Void,Boolean>
+	   {
+			@Override
+			protected Boolean doInBackground(Boolean... target) 
+			{
+				StartAnimations();
+				try {
+					Thread.sleep(3000);
+				} catch (InterruptedException e1) {
+					// TODO Auto-generated catch block
+					e1.printStackTrace();
+				}
+				if(target[0] = false)
+				{
+			        SharedPreferences.Editor e = settings.edit();
+			        e.putBoolean(PREFERENCE_FIRST_RUN, false);
+			        
+			        e.commit();
+			        // If not, run these methods:
+			        SetDirectory(issmFolder);
+				}
+				return true;
+			}
+			protected void onPostExecute(Boolean result)
+			{
+				Intent i = new Intent(ISSMAPP.this, MenuPage.class);
+				i.putExtra("pathToFile", issmFolder);
+		        startActivity(i);
+			}
+	   }
+//-------------------------------------------------------------------------------------------
+	private void SetDirectory(String directory) 
+	{
+	    if (android.os.Environment.getExternalStorageState().equals(android.os.Environment.MEDIA_MOUNTED)) 
+	    {
+	    	System.out.println(issmFolder);
+	        File txtDirectory = new File(issmFolder);
+	        
+	        // Check and create directory in SDcard
+	        if(!txtDirectory.exists())
+	        {
+	        	txtDirectory.mkdirs();
+	        	System.out.println("making directory");
+	        }
+	        CopyAssets(); // Then run the method to copy the file.
+
+	    } 
+	    else if (android.os.Environment.getExternalStorageState().equals(android.os.Environment.MEDIA_MOUNTED_READ_ONLY)) 
+	    {
+	    	Toast toast = Toast.makeText(this.getApplicationContext(), "Memory is not mounted to device", Toast.LENGTH_LONG);
+	    	toast.show();
+	    }
+
+	}
+//----------------------------------------------------------------------------
+	/**
+	 * -- Copy the file from the assets folder to the sdCard
+	 * ===========================================================
+	 **/
+		private void CopyAssets() 
+		{
+		    AssetManager assetManager = getAssets();
+		    String[] files = null;
+		    try {
+		        files = assetManager.list("Map");
+		    } catch (IOException e) {
+		        Log.e("tag", e.getMessage());
+		    }
+		    for (int i = 0; i < files.length; i++) {
+		        InputStream in = null;
+		        OutputStream out = null;
+		        try {
+		            in = assetManager.open("Map/"+files[i]);
+		            out = new FileOutputStream(issmFolder + files[i]);
+		            copyFile(in, out);
+		            in.close();
+		            in = null;
+		            out.flush();
+		            out.close();
+		            out = null;
+		        } catch (Exception e) {
+		            Log.e("tag", e.getMessage());
+		        }
+		    }
+		    System.out.println("Done");
+		}
+//----------------------------------------------------------------------------
+		private void copyFile(InputStream in, OutputStream out) throws IOException 
+		{
+		    byte[] buffer = new byte[1024];
+		    int read;
+		    while ((read = in.read(buffer)) != -1) {
+		        out.write(buffer, 0, read);
+		    }
+		}
+//----------------------------------------------------------------------------
+		 private void StartAnimations() 
+		 {
+		        Animation anim = AnimationUtils.loadAnimation(this, R.anim.alpha);
+		        anim.reset();
+		        LinearLayout l=(LinearLayout) findViewById(R.id.lin_lay);
+		        l.clearAnimation();
+		        l.startAnimation(anim);
+		 
+		        anim = AnimationUtils.loadAnimation(this, R.anim.translate);
+		        anim.reset();
+		        ImageView iv = (ImageView) findViewById(R.id.logo);
+		        iv.clearAnimation();
+		        iv.startAnimation(anim);
+		    }
+//-------------------------------------------------------------------------------		 
+}
+////////////////////////////////////////////////////////////////////////////////// 
Index: issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/IssmJni.java
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/IssmJni.java	(revision 14441)
+++ issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/IssmJni.java	(revision 14443)
@@ -8,5 +8,5 @@
 	static 
 	{
-        System.loadLibrary("ISSMJNI");
+        System.loadLibrary("IssmJni");
     }
 }
Index: issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/SliderMenu.java
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/SliderMenu.java	(revision 14443)
+++ issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/SliderMenu.java	(revision 14443)
@@ -0,0 +1,95 @@
+package gov.nasa.jpl.issm;
+
+import android.content.Context;
+import android.view.LayoutInflater;
+import android.view.View;
+import android.widget.Button;
+import android.widget.RelativeLayout;
+import android.widget.SeekBar;
+import android.widget.TextView;
+import android.widget.SeekBar.OnSeekBarChangeListener;
+
+public class SliderMenu extends RelativeLayout{
+
+	private SeekBar frictionBar;
+	private SeekBar tempBar;
+	private SeekBar seaLevelBar;
+	private TextView fric, temp, sealvl;
+	private int friction, temperature, sealevel;
+	final int OFFSET = 10;
+	final int MINIMUM = 90;
+	View view;
+	public SliderMenu(Context context) {
+		super(context);
+		LayoutInflater mInflater = (LayoutInflater)context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
+		if( mInflater != null)
+		{
+			view = mInflater.inflate(R.layout.settingsmenu, this, true);
+		}
+		initialize();
+	}
+	public void initialize()
+	{
+		frictionBar = (SeekBar) this.findViewById(R.id.frictionBar);
+		tempBar = (SeekBar) this.findViewById(R.id.tempBar);
+		seaLevelBar = (SeekBar) this.findViewById(R.id.sealvlBar);
+		fric = (TextView) this.findViewById(R.id.fric);
+    	temp  = (TextView) this.findViewById(R.id.temp);
+    	sealvl   = (TextView) this.findViewById(R.id.sealvl);
+    	friction = MINIMUM + OFFSET;
+    	temperature = MINIMUM + OFFSET;
+    	sealevel = MINIMUM + OFFSET;
+    	setListenner();
+	}
+	private void setListenner()
+	{
+		frictionBar.setOnSeekBarChangeListener(new OnSeekBarChangeListener()
+        {
+                public void onProgressChanged(SeekBar seekBar, int progress,boolean fromUser)
+                {
+                		
+                        friction = progress + OFFSET;
+                        fric.setText("Friction: " + friction + "%");
+                }
+
+	            @Override
+	            public void onStartTrackingTouch(SeekBar seekBar) {}
+	
+	            @Override
+	            public void onStopTrackingTouch(SeekBar seekBar) {}
+        });
+        tempBar.setOnSeekBarChangeListener(new OnSeekBarChangeListener()
+        {
+                public void onProgressChanged(SeekBar seekBar, int progress,boolean fromUser)
+                {
+	                	
+                        temperature = progress + OFFSET;
+                        temp.setText("Temperature: " + temperature + "%");
+                }
+
+	            @Override
+	            public void onStartTrackingTouch(SeekBar seekBar) {}
+	
+	            @Override
+	            public void onStopTrackingTouch(SeekBar seekBar) {}
+        });
+        seaLevelBar.setOnSeekBarChangeListener(new OnSeekBarChangeListener()
+        {
+                public void onProgressChanged(SeekBar seekBar, int progress,boolean fromUser)
+                {
+	                	
+                        sealevel = progress + OFFSET;
+                        sealvl.setText("Sea Level: " + sealevel + "%");
+                }
+
+	            @Override
+	            public void onStartTrackingTouch(SeekBar seekBar) {}
+	
+	            @Override
+	            public void onStopTrackingTouch(SeekBar seekBar) {}
+        });
+	}
+	public int getFric() {return friction;}
+	public int getTemp() {return temperature;}
+	public int getSea()  {return sealevel;}
+}
Index: issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/SplashScreen.java
===================================================================
--- issm/trunk-jpl/src/mobile/android/ISSM/src/gov/nasa/jpl/issm/SplashScreen.java	(revision 14441)
+++ 	(revision )
@@ -1,156 +1,0 @@
-package gov.nasa.jpl.issm;
-
-import java.io.File;
-import java.io.FileOutputStream;
-import java.io.IOException;
-import java.io.InputStream;
-import java.io.OutputStream;
-import android.app.Activity;
-import android.os.AsyncTask;
-import android.os.Bundle;
-import android.os.Environment;
-import android.util.Log;
-import android.view.animation.Animation;
-import android.view.animation.AnimationUtils;
-import android.widget.ImageView;
-import android.widget.LinearLayout;
-import android.widget.Toast;
-import android.content.Intent;
-import android.content.SharedPreferences;
-import android.content.res.AssetManager;
-/////////////////////////////////////////////////////////////////////////// 
-public class SplashScreen extends Activity
-{
-	MenuPage mp = new MenuPage();
-	private static final String PREFERENCE_FIRST_RUN = null;
-	private String extStorageDirectory;
-	private String issmFolder; 
-	SharedPreferences settings;
-//------------------------------------------------------------------------	
-	public void onCreate(Bundle icicle)
-	{
-		super.onCreate(icicle);
-		setContentView(R.layout.splashscreen);		
-	    settings = this.getSharedPreferences("MenuPage", 0);
-	    boolean firstrun = settings.getBoolean(PREFERENCE_FIRST_RUN, true);
-	    extStorageDirectory = Environment.getExternalStorageDirectory().toString();
-	    issmFolder = extStorageDirectory + "/ISSM/input_files/";
-
-	    new CopyDataTask().execute(firstrun);    
-	}
-//-------------------------------------------------------------------------------------------
-	//Start the splashscreen at beginning while transferring 
-	//data file from Assets folder to SDcard
-	private class CopyDataTask extends AsyncTask<Boolean,Void,Boolean>
-	   {
-			@Override
-			protected Boolean doInBackground(Boolean... target) 
-			{
-				StartAnimations();
-				try {
-					Thread.sleep(3000);
-				} catch (InterruptedException e1) {
-					// TODO Auto-generated catch block
-					e1.printStackTrace();
-				}
-				if(target[0] = false)
-				{
-			        SharedPreferences.Editor e = settings.edit();
-			        e.putBoolean(PREFERENCE_FIRST_RUN, false);
-			        
-			        e.commit();
-			        // If not, run these methods:
-			        SetDirectory(issmFolder);
-				}
-				return true;
-			}
-			protected void onPostExecute(Boolean result)
-			{
-				Intent i = new Intent(SplashScreen.this, MenuPage.class);
-				i.putExtra("pathToFile", issmFolder);
-		        startActivity(i);
-			}
-	   }
-//-------------------------------------------------------------------------------------------
-	private void SetDirectory(String directory) 
-	{
-	    if (android.os.Environment.getExternalStorageState().equals(android.os.Environment.MEDIA_MOUNTED)) 
-	    {
-	    	System.out.println(issmFolder);
-	        File txtDirectory = new File(issmFolder);
-	        
-	        // Check and create directory in SDcard
-	        if(!txtDirectory.exists())
-	        {
-	        	txtDirectory.mkdirs();
-	        	System.out.println("making directory");
-	        }
-	        CopyAssets(); // Then run the method to copy the file.
-
-	    } 
-	    else if (android.os.Environment.getExternalStorageState().equals(android.os.Environment.MEDIA_MOUNTED_READ_ONLY)) 
-	    {
-	    	Toast toast = Toast.makeText(this.getApplicationContext(), "Memory is not mounted to device", Toast.LENGTH_LONG);
-	    	toast.show();
-	    }
-
-	}
-//----------------------------------------------------------------------------
-	/**
-	 * -- Copy the file from the assets folder to the sdCard
-	 * ===========================================================
-	 **/
-		private void CopyAssets() 
-		{
-		    AssetManager assetManager = getAssets();
-		    String[] files = null;
-		    try {
-		        files = assetManager.list("Map");
-		    } catch (IOException e) {
-		        Log.e("tag", e.getMessage());
-		    }
-		    for (int i = 0; i < files.length; i++) {
-		        InputStream in = null;
-		        OutputStream out = null;
-		        try {
-		            in = assetManager.open("Map/"+files[i]);
-		            out = new FileOutputStream(issmFolder + files[i]);
-		            copyFile(in, out);
-		            in.close();
-		            in = null;
-		            out.flush();
-		            out.close();
-		            out = null;
-		        } catch (Exception e) {
-		            Log.e("tag", e.getMessage());
-		        }
-		    }
-		    System.out.println("Done");
-		}
-//----------------------------------------------------------------------------
-		private void copyFile(InputStream in, OutputStream out) throws IOException 
-		{
-		    byte[] buffer = new byte[1024];
-		    int read;
-		    while ((read = in.read(buffer)) != -1) {
-		        out.write(buffer, 0, read);
-		    }
-		}
-//----------------------------------------------------------------------------
-		 private void StartAnimations() 
-		 {
-		        Animation anim = AnimationUtils.loadAnimation(this, R.anim.alpha);
-		        anim.reset();
-		        LinearLayout l=(LinearLayout) findViewById(R.id.lin_lay);
-		        l.clearAnimation();
-		        l.startAnimation(anim);
-		 
-		        anim = AnimationUtils.loadAnimation(this, R.anim.translate);
-		        anim.reset();
-		        ImageView iv = (ImageView) findViewById(R.id.logo);
-		        iv.clearAnimation();
-		        iv.startAnimation(anim);
-		    }
-//-------------------------------------------------------------------------------		 
-}
-////////////////////////////////////////////////////////////////////////////////// 