Index: issm/trunk-jpl/src/c/Container/Constraints.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Constraints.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Constraints.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Constraints.c
- * \brief: implementation of the Constraints class, derived from DataSet class
+ * \file Constraints.cpp
+ * \brief: Implementation of Constraints class, derived from DataSet class.
  */
 
Index: issm/trunk-jpl/src/c/Container/Constraints.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Constraints.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Constraints.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Constraints.h
- * \brief prototypes for Constraints.h
- */ 
-
 #ifndef _CONTAINER_CONSTRAINTS_H_
 #define  _CONTAINER_CONSTRAINTS_H_
@@ -16,4 +12,9 @@
 class Inputs;
 
+/*! \brief Declaration of Constraints class. 
+ *
+ * Declaration of Constraints class for handling Single Point Constraints (SPCs).
+ * Constraints are vector lists (Containers) of Constraint objects.
+ */ 
 class Constraints: public DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Container.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Container.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Container.h	(revision 14476)
@@ -1,4 +1,4 @@
 /*!\file: Container.h
- * \brief prototypes for all containers used in ISSM
+ * \brief Prototypes for all Containers (vector lists of objects) used in ISSM
  */ 
 
Index: issm/trunk-jpl/src/c/Container/DataSet.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/DataSet.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/DataSet.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file DataSet.c
- * \brief: implementation of the DataSet class, and derived classes Inputs and Parameters
+ * \file DataSet.cpp
+ * \brief: Implementation of DataSet class
  */
 
Index: issm/trunk-jpl/src/c/Container/DataSet.h
===================================================================
--- issm/trunk-jpl/src/c/Container/DataSet.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/DataSet.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*
- * DataSet.h: declaration of DataSet,Parameters and Inputs classes
- */
-
 #ifndef _CONTAINER_DATASET_H_
 #define _CONTAINER_DATASET_H_
@@ -22,4 +18,8 @@
 class Patch;
 
+/*! \brief Declaration of DataSet class
+ *
+ * Declaration of DataSet class.  A DataSet is a Container of Objects.
+ */
 class DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Elements.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Elements.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Elements.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Elements.c
- * \brief: implementation of the Elements class, derived from DataSet class
+ * \file Elements.cpp
+ * \brief: Implementation of Elements class, derived from DataSet class
  */
 
Index: issm/trunk-jpl/src/c/Container/Elements.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Elements.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Elements.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Elements.h
- * \brief prototypes for Elements.h
- */ 
-
 #ifndef _CONTAINER_ELEMENTS_H_
 #define  _CONTAINER_ELEMENTS_H_
@@ -16,4 +12,8 @@
 class Inputs;
 
+/*! \brief Declaration of Elements class 
+ *
+ * Declaration of Elements class.  Elements are vector lists (Containers) of Element objects.
+ */ 
 class Elements: public DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Inputs.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Inputs.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Inputs.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Inputs.h
- * \brief prototypes for Inputs.h
- */ 
-
 #ifndef _CONTAINER_INPUTS_H_
 #define  _CONTAINER_INPUTS_H_
@@ -19,4 +15,8 @@
 class GaussPenta;
 
+/*! \brief Declaration of Inputs class.
+ *
+ * Declaration of Inputs class.  Inputs are vector lists (Containers) of Input objects.
+ */ 
 class Inputs: public DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Loads.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Loads.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Loads.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Loads.c
- * \brief: implementation of the Loads class, derived from DataSet class
+ * \file Loads.cpp
+ * \brief: Implementation of Loads class, derived from DataSet class.
  */
 
Index: issm/trunk-jpl/src/c/Container/Loads.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Loads.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Loads.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Loads.h
- * \brief prototypes for Loads.h
- */ 
-
 #ifndef _CONTAINER_LOADS_H_
 #define  _CONTAINER_LOADS_H_
@@ -16,4 +12,8 @@
 class Inputs;
 
+/*!\brief Declaration of Loads class.
+ *
+ * Declaration of Loads class.  Loads are vector lists (Containers) of Load objects.
+ */ 
 class Loads: public DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Materials.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Materials.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Materials.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Materials.c
- * \brief: implementation of the Materials class, derived from DataSet class
+ * \file Materials.cpp
+ * \brief: Implementation of Materials class, derived from DataSet class.
  */
 
Index: issm/trunk-jpl/src/c/Container/Materials.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Materials.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Materials.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Materials.h
- * \brief prototypes for Materials.h
- */ 
-
 #ifndef _CONTAINER_MATERIALS_H_
 #define  _CONTAINER_MATERIALS_H_
@@ -15,4 +11,8 @@
 class Inputs;
 
+/*! \brief Declaration of Materials class.
+ *
+ * Declaration of Materials class.  Materials are vector lists (Containers) of Material objects.
+ */ 
 class Materials: public DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Nodes.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Nodes.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Nodes.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Nodes.c
- * \brief: implementation of the Nodes class, derived from DataSet class
+ * \file Nodes.cpp
+ * \brief: Implementation of Nodes class, derived from DataSet class.
  */
 
Index: issm/trunk-jpl/src/c/Container/Nodes.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Nodes.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Nodes.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Nodes.h
- * \brief prototypes for Nodes.h
- */ 
-
 #ifndef _CONTAINER_NODES_H_
 #define  _CONTAINER_NODES_H_
@@ -8,5 +4,10 @@
 #include "./DataSet.h"
 
-/*forward declarations */
+/*!\brief Declaration of Nodes class.
+ *
+ * Declaration of Nodes class.  Nodes are vector lists of objects (Containers) of Node objects.
+ * Node objects are the degrees of freedom (DOFs) for a particular analysis type (not to be 
+ * confused with a vertex, which defines the (x,y,z) location of a point).
+ */ 
 class Nodes: public DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Observations.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Observations.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Observations.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Observations.c
- * \brief: implementation of the Observations class, derived from DataSet class
+ * \file Observations.cpp
+ * \brief: Implementation of Observations class, derived from DataSet class.
  */
 
Index: issm/trunk-jpl/src/c/Container/Observations.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Observations.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Observations.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Observations.h
- * \brief prototypes for Observations.h
- */ 
-
 #ifndef _CONTAINER_OBSERVATIONS_H_
 #define  _CONTAINER_OBSERVATIONS_H_
@@ -12,4 +8,9 @@
 class Variogram;
 class Options;
+
+/*!\brief Declaration of Observations class.
+ *
+ * Declaration of Observations class.  Observations are vector lists (Containers) of Observation objects.
+ */ 
 
 class Observations: public DataSet{
Index: issm/trunk-jpl/src/c/Container/Options.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Options.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Options.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Options.c
- * \brief: implementation of the Options class, derived from DataSet class
+ * \file Options.cpp
+ * \brief: Implementation of Options class, derived from DataSet class.
  */
 
Index: issm/trunk-jpl/src/c/Container/Options.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Options.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Options.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Options.h
- * \brief prototypes for Options.h
- */ 
-
 #ifndef _CONTAINER_OPTIONS_H_
 #define _CONTAINER_OPTIONS_H_
@@ -11,4 +7,8 @@
 class Option;
 
+/*!\brief Declaration of Options class. 
+ * 
+ * Declaration of Options class.  Options are vector lists (Containers) of Option objects.
+ */ 
 class Options: public DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Parameters.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Parameters.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Parameters.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Parameters.c
- * \brief: implementation of the Parameters class, derived from DataSet class
+ * \file Parameters.cpp
+ * \brief: Implementation of the Parameters class, derived from DataSet class.
  */
 
Index: issm/trunk-jpl/src/c/Container/Parameters.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Parameters.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Parameters.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Parameters.h
- * \brief prototypes for Parameters.h
- */ 
-
 #ifndef _CONTAINER_PARAMETERS_H_
 #define  _CONTAINER_PARAMETERS_H_
@@ -19,4 +15,8 @@
 class Inputs;
 
+/*!\brief Declaration of Parameters class.  
+ *
+ * Declaration of Parameters class.  Parameters are vector lists (Containers) of Parameter objects.
+ */ 
 class Parameters: public DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Results.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Results.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Results.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Results.c
- * \brief: implementation of the Results class, derived from DataSet class
+ * \file Results.cpp
+ * \brief: Implementation of the Results class, derived from DataSet class.
  */
 
Index: issm/trunk-jpl/src/c/Container/Results.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Results.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Results.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Results.h
- * \brief prototypes for Results.h
- */ 
-
 #ifndef _CONTAINER_RESULTS_H_
 #define  _CONTAINER_RESULTS_H_
@@ -16,4 +12,8 @@
 class Inputs;
 
+/*!\brief Declaration of Results class.
+ *
+ * Declaration of Results class.  Results are vector lists (Containers) of Result objects.
+ */ 
 class Results: public DataSet{
 
Index: issm/trunk-jpl/src/c/Container/Vertices.cpp
===================================================================
--- issm/trunk-jpl/src/c/Container/Vertices.cpp	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Vertices.cpp	(revision 14476)
@@ -1,5 +1,5 @@
 /*
- * \file Vertices.c
- * \brief: implementation of the Vertices class, derived from DataSet class
+ * \file Vertices.cpp
+ * \brief: Implementation of Vertices class, derived from DataSet class.
  */
 
Index: issm/trunk-jpl/src/c/Container/Vertices.h
===================================================================
--- issm/trunk-jpl/src/c/Container/Vertices.h	(revision 14474)
+++ issm/trunk-jpl/src/c/Container/Vertices.h	(revision 14476)
@@ -1,6 +1,2 @@
-/*!\file: Vertices.h
- * \brief prototypes for Vertices.h
- */ 
-
 #ifndef _CONTAINER_VERTICES_H_
 #define  _CONTAINER_VERTICES_H_
@@ -15,4 +11,10 @@
 class Inputs;
 
+/*!\brief Declaration of Vertices class.
+ *
+ * Declaration of Vertices class.  Vertices are vector lists (Containers) of Vertex objects.
+ * A vertex is a set of (x,y,z) coordinates defining the location of points in the mesh (not
+ * to be confused with a node, which is a degree of freedom (DOF) for a particular analysis).
+ */ 
 class Vertices: public DataSet{
 